Package ru.bitel.bgbilling.modules.voice.server.event

# Class VoiceAccountChangingEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.voice.server.event.VoiceAccountChangingEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class VoiceAccountChangingEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent implements ErrorReturnableEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccountChangingEvent(int moduleId, int userId, VoiceAccount oldVoiceAccount, VoiceAccount newVoiceAccount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает ошибку при правке сервиса.
  `VoiceAccount`
  `getNewVoiceAccount()`
  Возвращает изменяемый сервис договора.
  `VoiceAccount`
  `getOldVoiceAccount()`
  Возвращает предыдущее значение изменяемого сервиса договора.
  `VoiceAccount`
  `getVoiceAccount()`
  Возвращает изменяемый сервис договора (не рекомендуемый синоним для
  invalid reference

      #getNewInetServ()

  ).
  `void`
  `setError(String error)`
  Устанавливает ошибку при правке сервиса.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceAccountChangingEvent

    public VoiceAccountChangingEvent(int moduleId, int userId, VoiceAccount oldVoiceAccount, VoiceAccount newVoiceAccount)

- ## Method Details

  - ### getNewVoiceAccount

    public VoiceAccount getNewVoiceAccount()
    Возвращает изменяемый сервис договора.
    Returns:

  - ### getOldVoiceAccount

    public VoiceAccount getOldVoiceAccount()
    Возвращает предыдущее значение изменяемого сервиса договора.
    Returns:

  - ### getVoiceAccount

    public VoiceAccount getVoiceAccount()
    Возвращает изменяемый сервис договора (не рекомендуемый синоним для
    invalid reference

        #getNewInetServ()

    ).
    Returns:

  - ### getError

    public String getError()
    Возвращает ошибку при правке сервиса. При наличие ошибки правка отменяется.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:

  - ### setError

    public void setError(String error)
    Устанавливает ошибку при правке сервиса.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` -